Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228633 - yum --exclude=\*386 does not work
Summary: yum --exclude=\*386 does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 03:11 UTC by Michel Alexandre Salim
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version: 3.1.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:16:25 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-02-14 03:11:51 UTC
Description of problem:
If both foo.i386 and foo.x86_64 is available from repositories, yum
--exclude=\*386 install foo results in yum trying to install both architecture
variants

Version-Release number of selected component (if applicable):
yum-3.1.1-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. yum --exclude=\*386 install inotify-tools
2. yum --exclude=\*386 install js-devel
  
Actual results:
yum tries to install both .i386 and .x86_64 packages

Expected results:
.i386 packages properly excluded

Additional info:

Comment 1 Jeremy Katz 2007-04-25 19:16:25 UTC
This should be fixed up in current yum


Note You need to log in before you can comment on or make changes to this bug.